DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTToleranceTableSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTToleranceTableSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBeamLimitingDeviceAngleTolerance (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngleTolerance (300a,0046) More...
OFCondition | getBeamLimitingDeviceAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngleTolerance (300a,0046) More...
OFCondition | getGantryAngleTolerance (OFString &value, const signed long pos=0) const
| get GantryAngleTolerance (300a,0044) More...
OFCondition | getGantryAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get GantryAngleTolerance (300a,0044) More...
OFCondition | getGantryPitchAngleTolerance (Float32 &value, const unsigned long pos=0) const
| get GantryPitchAngleTolerance (300a,014e) More...
OFCondition | getPatientSupportAngleTolerance (OFString &value, const signed long pos=0) const
| get PatientSupportAngleTolerance (300a,004c) More...
OFCondition | getPatientSupportAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngleTolerance (300a,004c) More...
OFCondition | getTableTopEccentricAngleTolerance (OFString &value, const signed long pos=0) const
| get TableTopEccentricAngleTolerance (300a,004e) More...
OFCondition | getTableTopEccentricAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopEccentricAngleTolerance (300a,004e) More...
OFCondition | getTableTopLateralPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopLateralPositionTolerance (300a,0053) More...
OFCondition | getTableTopLateralPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPositionTolerance (300a,0053) More...
OFCondition | getTableTopLongitudinalPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPositionTolerance (300a,0052) More...
OFCondition | getTableTopLongitudinalPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPositionTolerance (300a,0052) More...
OFCondition | getTableTopPitchAngleTolerance (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngleTolerance (300a,004f) More...
OFCondition | getTableTopRollAngleTolerance (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngleTolerance (300a,0050) More...
OFCondition | getTableTopVerticalPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopVerticalPositionTolerance (300a,0051) More...
OFCondition | getTableTopVerticalPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPositionTolerance (300a,0051) More...
OFCondition | getToleranceTableLabel (OFString &value, const signed long pos=0) const
| get ToleranceTableLabel (300a,0043) More...
OFCondition | getToleranceTableNumber (OFString &value, const signed long pos=0) const
| get ToleranceTableNumber (300a,0042) More...
OFCondition | getToleranceTableNumber (Sint32 &value, const unsigned long pos=0) const
| get ToleranceTableNumber (300a,0042) More...
DRTBeamLimitingDeviceToleranceSequence & | getBeamLimitingDeviceToleranceSequence ()
| get BeamLimitingDeviceToleranceSequence (300a,0048) More...
const DRTBeamLimitingDeviceToleranceSequence & | getBeamLimitingDeviceToleranceSequence () const
| get BeamLimitingDeviceToleranceSequence (300a,0048) More...
OFCondition | setBeamLimitingDeviceAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngleTolerance (300a,0046) More...
OFCondition | setGantryAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set GantryAngleTolerance (300a,0044) More...
OFCondition | setGantryPitchAngleTolerance (const Float32 value, const unsigned long pos=0)
| set GantryPitchAngleTolerance (300a,014e) More...
OFCondition | setPatientSupportAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngleTolerance (300a,004c) More...
OFCondition | setTableTopEccentricAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopEccentricAngleTolerance (300a,004e) More...
OFCondition | setTableTopLateralPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPositionTolerance (300a,0053) More...
OFCondition | setTableTopLongitudinalPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPositionTolerance (300a,0052) More...
OFCondition | setTableTopPitchAngleTolerance (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngleTolerance (300a,004f) More...
OFCondition | setTableTopRollAngleTolerance (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngleTolerance (300a,0050) More...
OFCondition | setTableTopVerticalPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPositionTolerance (300a,0051) More...
OFCondition | setToleranceTableLabel (const OFString &value, const OFBool check=OFTrue)
| set ToleranceTableLabel (300a,0043) More...
OFCondition | setToleranceTableNumber (const OFString &value, const OFBool check=OFTrue)
| set ToleranceTableNumber (300a,0042) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BeamLimitingDeviceAngleTolerance
| BeamLimitingDeviceAngleTolerance (300a,0046) vr=DS, vm=1, type=3.
DRTBeamLimitingDeviceToleranceSequence | BeamLimitingDeviceToleranceSequence
| BeamLimitingDeviceToleranceSequence (300a,0048) vr=SQ, vm=1, type=3.
DcmDecimalString | GantryAngleTolerance
| GantryAngleTolerance (300a,0044) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | GantryPitchAngleTolerance
| GantryPitchAngleTolerance (300a,014e) vr=FL, vm=1, type=3.
DcmDecimalString | PatientSupportAngleTolerance
| PatientSupportAngleTolerance (300a,004c) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopEccentricAngleTolerance
| TableTopEccentricAngleTolerance (300a,004e) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopLateralPositionTolerance
| TableTopLateralPositionTolerance (300a,0053) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopLongitudinalPositionTolerance
| TableTopLongitudinalPositionTolerance (300a,0052) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | TableTopPitchAngleTolerance
| TableTopPitchAngleTolerance (300a,004f) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | TableTopRollAngleTolerance
| TableTopRollAngleTolerance (300a,0050) vr=FL, vm=1, type=3.
DcmDecimalString | TableTopVerticalPositionTolerance
| TableTopVerticalPositionTolerance (300a,0051) vr=DS, vm=1, type=3.
DcmShortString | ToleranceTableLabel
| ToleranceTableLabel (300a,0043) vr=SH, vm=1, type=3.
DcmIntegerString | ToleranceTableNumber
| ToleranceTableNumber (300a,0042) vr=IS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTToleranceTableSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTToleranceTableSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getBeamLimitingDeviceAngleTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getBeamLimitingDeviceAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceAngleTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getBeamLimitingDeviceAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamLimitingDeviceToleranceSequence() [1/2]

DRTBeamLimitingDeviceToleranceSequence& DRTToleranceTableSequence::Item::getBeamLimitingDeviceToleranceSequence | ( |  | ) |
| inline

get BeamLimitingDeviceToleranceSequence (300a,0048)

Returns
  reference to sequence element

## ◆ getBeamLimitingDeviceToleranceSequence() [2/2]

const DRTBeamLimitingDeviceToleranceSequence& DRTToleranceTableSequence::Item::getBeamLimitingDeviceToleranceSequence | ( |  | ) | const
| inline

get BeamLimitingDeviceToleranceSequence (300a,0048)

Returns
  const reference to sequence element

## ◆ getGantryAngleTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getGantryAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryAngleTolerance (300a,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryAngleTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getGantryAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get GantryAngleTolerance (300a,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryPitchAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::getGantryPitchAngleTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GantryPitchAngleTolerance (300a,014e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngleTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getPatientSupportAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PatientSupportAngleTolerance (300a,004c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSupportAngleTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getPatientSupportAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PatientSupportAngleTolerance (300a,004c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAngleTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopEccentricAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopEccentricAngleTolerance (300a,004e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopEccentricAngleTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopEccentricAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopEccentricAngleTolerance (300a,004e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPositionTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopLateralPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLateralPositionTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopLateralPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPositionTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopLongitudinalPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopLongitudinalPositionTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopLongitudinalPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopPitchAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::getTableTopPitchAngleTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopPitchAngleTolerance (300a,004f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopRollAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::getTableTopRollAngleTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopRollAngleTolerance (300a,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPositionTolerance() [1/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopVerticalPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTableTopVerticalPositionTolerance() [2/2]

OFCondition DRTToleranceTableSequence::Item::getTableTopVerticalPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getToleranceTableLabel()

OFCondition DRTToleranceTableSequence::Item::getToleranceTableLabel | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ToleranceTableLabel (300a,0043)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getToleranceTableNumber() [1/2]

OFCondition DRTToleranceTableSequence::Item::getToleranceTableNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ToleranceTableNumber (300a,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getToleranceTableNumber() [2/2]

OFCondition DRTToleranceTableSequence::Item::getToleranceTableNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ToleranceTableNumber (300a,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTToleranceTableSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTToleranceTableSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTToleranceTableSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTToleranceTableSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamLimitingDeviceAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setBeamLimitingDeviceAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setGantryAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set GantryAngleTolerance (300a,0044)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryPitchAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setGantryPitchAngleTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set GantryPitchAngleTolerance (300a,014e)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSupportAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setPatientSupportAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PatientSupportAngleTolerance (300a,004c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopEccentricAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopEccentricAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopEccentricAngleTolerance (300a,004e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLateralPositionTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopLateralPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopLongitudinalPositionTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopLongitudinalPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopPitchAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopPitchAngleTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopPitchAngleTolerance (300a,004f)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopRollAngleTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopRollAngleTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set TableTopRollAngleTolerance (300a,0050)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTableTopVerticalPositionTolerance()

OFCondition DRTToleranceTableSequence::Item::setTableTopVerticalPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setToleranceTableLabel()

OFCondition DRTToleranceTableSequence::Item::setToleranceTableLabel | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ToleranceTableLabel (300a,0043)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setToleranceTableNumber()

OFCondition DRTToleranceTableSequence::Item::setToleranceTableNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ToleranceTableNumber (300a,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTToleranceTableSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drttts.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1